Name: p3nfs
Version: 5.3f
Release: 1
Copyright: GPL
Group: Networking/Utilities
Source: ftp.uni-erlangen.de:/pub/psion/local/p3nfs-%{PACKAGE_VERSION}.tar.gz
Patch: p3nfs.glibc.patch
Summary: Mounts Psion filesystems over serial cable
BuildRoot: /tmp/p3nfs-build

%description
This package lets you mount the psion drives on your unix workstation
over a serial cable. You can access all the files from the psion with
the usual commands like tar, cp, vi & co.

The Psion C-client is capable of terminal emulation (vt100/vt220 with
function key support) and it is fully functional without the Unix
daemon.

%prep
%setup
%patch -p1

%build
./configure
make CFLAGS="$RPM_OPT_FLAGS -I../include"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/terminfo
TERMINFO=$RPM_BUILD_ROOT/usr/lib/terminfo tic etc/nfsc.terminfo.src

mkdir -p $RPM_BUILD_ROOT/usr/sbin
sed -e 's,^\(P3NFSD=\).*$,\1/usr/sbin/p3nfsd,' -e 's,^\(MNTDIR=\).*$,\1/psion.stand/mnt,' etc/p3frontend >$RPM_BUILD_ROOT/usr/sbin/p3frontend
chmod 700 $RPM_BUILD_ROOT/usr/sbin/p3frontend
sed -e 's,local/,s,' etc/p5nfsd >$RPM_BUILD_ROOT/usr/sbin/p5nfsd
chmod 700 $RPM_BUILD_ROOT/usr/sbin/p5nfsd

# The README suggests mode 4711.
install -s -m700 nfsd/p3nfsd $RPM_BUILD_ROOT/usr/sbin/

mkdir -p $RPM_BUILD_ROOT/psion.stand/mnt
ln -s mnt/loc::a: $RPM_BUILD_ROOT/psion.stand/a
ln -s mnt/loc::b: $RPM_BUILD_ROOT/psion.stand/b
ln -s mnt/loc::m: $RPM_BUILD_ROOT/psion.stand/m

rm etc/nfsc.terminfo.src etc/p3frontend etc/p5nfsd
rm -r nfsc/src nfsc.old/src

%clean
rm -rf $RPM_BUILD_ROOT

%post
echo You may want to append the termcap and magic entries in the 
echo documentation/etc directory.

%files
%doc CHANGES LICENCE README TODO etc nfsc nfsc.old opl
/usr/lib/terminfo/n/nfsc
/usr/lib/terminfo/n/nfsc-am
/usr/sbin/p3frontend
/usr/sbin/p5nfsd
/usr/sbin/p3nfsd
/psion.stand
